package doubao

var UrlMap = map[UrlType]string{
	Text:      "https://ark.cn-beijing.volces.com/api/v3/chat/completions",
	Video:     "https://ark.cn-beijing.volces.com/api/v3/contents/generations/tasks",
	Embedding: "https://ark.cn-beijing.volces.com/api/v3/embeddings",
	Token:     "https://ark.cn-beijing.volces.com/api/v3/tokenization",
}

type UrlType string

const (
	Text      UrlType = "text"
	Video     UrlType = "video"
	Embedding UrlType = "embedding"
	Token     UrlType = "token"
)
